{% extends 'base/base.html' %}
{% load crispy_forms_tags %}
{% block title %}Blog Detail{% endblock title %}

{% block content %}

{% comment %} <small>object or post</small> {% endcomment %}
<h2>{{post.title}}</h2>
<small>by {{post.author}}</small>
<p>{{post.body}}</p>
<a href="{% url 'blog:post_update' post.pk %}">Edit</a> | <a href="{% url 'blog:post_delete' post.pk %}">Delete</a>
<hr>
<h5><u>Comments</u></h5>
<form method="post">
    {% csrf_token %}
    {{form|crispy}}
    <button class="btn btn-secondary" type="submit">Post Comment</button>
</form>
<table>
    {% for comment in post.comments.all %}
        <tr>
            <td>{{ comment.author.username }}</td>
            <td>({{comment.created_at|timesince}} ago) :</td>
            <td>{{comment.comment}}</td>
        </tr>
    {% endfor %}
</table>
{% endblock content %}